### Struct

# WebKit2 WebViewSessionState

#### Description [src]

    struct WebKitWebViewSessionState {
      /* No available fields */
    }

Handles serialization of a web view’s browsing state.

Available since: | 2.12

#### Constructors

###### webkit_web_view_session_state_new

Creates a new `WebKitWebViewSessionState` from serialized data.

Available since: 2.12

#### Instance methods

###### webkit_web_view_session_state_ref

Atomically increments the reference count of `state` by one.

Available since: 2.12

###### webkit_web_view_session_state_serialize

Serializes a `WebKitWebViewSessionState`.

Available since: 2.12

###### webkit_web_view_session_state_unref

Atomically decrements the reference count of `state` by one.

Available since: 2.12